#include<stdio.h>

int main(){
  
    int n,s,d,j,min,min1,max,max1,srednja;
    
    scanf("%d",&n);
    
    if(n<100 || n>999){
      printf("-1\n");
    }
    
    if(n>=100 && n<=999){
	s=n/100;
	d=(n%100)/10;
	j=n%10;
    
	min= s<d ? s:d ;	//veci od najmanjeg
	min1= min<j ? min:j; //najmanji
	max= s>d ? s:d;	
	max1= max>j ? max:j;  //najveci
	srednja= min<max ? min:max;
	n=min1*100+srednja*10+max1;
      
    
	printf("%i\n",n);
      }
      
    return 0;
}